%define upstream_name	 Net-IP
%define upstream_version 1.26

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Perl extension for manipulating IPv4/IPv6 addresses
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module provides functions to deal with IPv4/IPv6 addresses.
The module can be used as a class, allowing the user to instantiate
IP objects, which can be single IP addresses, prefixes, or ranges of
addresses. There is also a procedural way of accessing most of the
functions. Most subroutines can take either IPv4 or IPv6 addresses
transparently.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc COPYING Changes META.yml MYMETA.yml README
%{_bindir}/*
%{perl_vendorlib}/Net
%{_mandir}/*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.260.0-11.mga10
+ Revision: 2200014
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.260.0-10.mga9
+ Revision: 1804899
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.260.0-9.mga8
+ Revision: 1495892
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.260.0-8.mga7
+ Revision: 1269916
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.260.0-7.mga6
+ Revision: 1031093
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.260.0-6.mga6
+ Revision: 945504
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.260.0-5.mga5
+ Revision: 749446
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.260.0-4.mga5
+ Revision: 685669
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.260.0-3.mga4
+ Revision: 513487
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.260.0-2.mga3
+ Revision: 370639
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.260.0-1.mga3
+ Revision: 342437
- update to 1.26

* Sat Jan 22 2011 jquelin <jquelin> 1.250.0-1.mga1
+ Revision: 30911
- mageia rebuild
- imported package perl-Net-IP


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.250.0-1mdv2010.1
+ Revision: 407812
- rebuild using %%perl_convert_version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.25-4mdv2009.0
+ Revision: 223856
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.25-3mdv2008.1
+ Revision: 180507
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 10:04:09 (53848)
- commit

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/07/06 10:02:36 (53847)
Import perl-Net-IP

* Thu Jun 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.25-1mdv2007.0
- New release 1.25

* Mon May 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-1mdv2007.0
- 1.25
- spec cleanup
- rpmbuildupdate aware

* Fri Oct 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.24-1mdk
- 1.24
- spec cleanup

* Fri Jun 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.23-1mdk
- 1.23
- spec cleanup

* Thu Jun 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.22-1mdk
- 1.22

* Sat Feb 05 2005 Sylvie Terjan <erinmargault@mandrake.org> 1.21-1mdk
- 1.21-1
- rebuild for new perl

* Sat Aug 28 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.20-2mdk
- rebuild for perl

* Mon Mar 29 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.20-1mdk
- 1st mdk spec

